Manjaro-specific packages which need an update

Uranuim is not a manjaro package and 4.2.0-1 is already in unstable branch. :slightly_smiling_face:

Uranium is packaged by Philm, Bertie is not wrong

@philm can we switch back to the Arch package?

Uranium originally added following this post Cura fix PKGBUILD

2 Likes

Why I see the name of Jelle van der Waa as maintainer then?

The current uranium is:

$ pacman -Qi uranium
Name            : uranium
Version         : 4.1.0-2.1
Description     : A Python framework for building Desktop applications.
Architecture    : any
URL             : https://github.com/Ultimaker/Uranium
Licenses        : LGPL
Groups          : None
Provides        : None
Depends On      : python  qt5-quickcontrols  qt5-quickcontrols2  pyqt5-common  python-pyqt5
                  python-numpy  arcus  python-shapely
Optional Deps   : None
Required By     : cura
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 2.59 MiB
Packager        : Philip Mueller <philm@manjaro.org>
Build Date      : Fri 26 Jul 2019 16:29:37 SAST
Install Date    : Fri 02 Aug 2019 09:55:35 SAST
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature
1 Like

O.k maybe because I am on the unstable branch and on the unstable branch there is the package of the arch (uranium 4.2.0-1).

1 Like

I removed our overlay also in stable now. Let me know if that fixes it for you.

1 Like

After a quick test, Cura now seems to work with the new uranium 4.2 in stable.
Thanks!

when lightdm-settings is installed its not possible to use slick-greeter

removing lightdm-settings allows slick-greeter to load

I don't know what you mean. I have both installed here just fine!

What are your versions installed?

$ pacman -Q lightdm-slick-greeter lightdm-settings

@jonathon libc++ is at version 8.0.1 (same versioning of Clang and LLVM https://github.com/llvm/llvm-project/releases)

Are you going to update or drop it since is not needed by Discord anymore?

Building now.

Edit: uploaded.

2 Likes

1.2.7
and 1.2.8

Same here. And working as it should ... Hm. Is maybe your config screwed up?
You could try moving or removing /etc/lightdm/slick-greeter.conf and then reinstalling slick greeter... ?

Bash is now at patch level 9, Manjaro is still shipping patch level 7. @jonathon (Only pinging you mate as you last edited the gitlab repo for it)

Also in dot.bashrc at the very end....

# better yaourt colors
export YAOURT_COLORS="nb=1:pkg=1:ver=1;32:lver=1;45:installed=1;42:grp=1;34:od=1;41;5:votes=1;44:dsc=0:other=1;35"

All that can be removed.

1 Like

Thanks. Updated :+1:

1 Like

@oberon timeshift 19.08.1 has been released.

1 Like

Thanks for the info.
Update to the new version timeshift 19.08.1-1 in unstable is just done.

2 Likes

FYI, the prepare function is no longer necessary. :wink:

1 Like

Done :grin:

2 Likes